Skip to main content
DELETE
Cancel All Orders

Headers

PX-Key-Id
string
required

The key id issued for your signing keypair.

PX-Timestamp
string
required

Unix seconds at signing, valid within 30 seconds of the server clock.

PX-Signature
string
required

Ed25519 signature of the request

PX-Content-Sha256
string
required

Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.

Query Parameters

ticker
string

Restricts cancellation to this ticker.

Minimum string length: 1
pageToken
string

Continues after the previously attempted orders.

Required string length: 1 - 4096

Response

Per-order cancellation results

cancelled
string<uuid>[]
required

Orders whose remaining quantity was confirmed cancelled.

notCancelled
object[]
required

Orders whose cancellation was not confirmed.

nextPageToken
string

Continuation token for orders not attempted within the request budget.